Summary:	CNI network plugins
Name:		containernetworking-plugins
Version:	1.5.1
Release:	1
License:	Apache v2.0
Group:		Applications/System
#Source0Download: https://github.com/containers/podman/releases
Source0:	https://github.com/containernetworking/plugins/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	861619d4223425613757acb67c2dc7ba
URL:		https://github.com/containernetworking/plugins/
BuildRequires:	bash
BuildRequires:	golang >= 1.20
BuildRequires:	rpmbuild(macros) >= 2.009
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure network
interfaces in Linux containers, along with a number of supported
plugins. CNI concerns itself only with network connectivity of
containers and removing allocated resources when the container is
deleted.

%prep
%setup -q -n plugins-%{version}

%build
GO="eval %__go" %{__bash} ./build_linux.sh

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cni/net.d
install -d $RPM_BUILD_ROOT%{_libexecdir}/cni
cp -p bin/* $RPM_BUILD_ROOT%{_libexecdir}/cni

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md OWNERS.md README.md
%dir %{_sysconfdir}/cni
%dir %{_sysconfdir}/cni/net.d
%dir %{_libexecdir}/cni
%attr(755,root,root) %{_libexecdir}/cni/*
%changelog
* Mon Jun 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/containernetworking-plugins.git;a=log;h=master

* Mon Jun 17 2024 Jan Palus <atler@pld-linux.org> 32b9a8b
- up to 1.5.1

* Mon May 20 2024 Jan Palus <atler@pld-linux.org> 019e61f
- up to 1.5.0

* Tue Mar 12 2024 Jan Palus <atler@pld-linux.org> 7b25e25
- up to 1.4.1

* Mon Dec 04 2023 Jan Palus <atler@pld-linux.org> f5adfc0
- up to 1.4.0

* Tue May 09 2023 Jan Palus <atler@pld-linux.org> 9d6bf7a
- up to 1.3.0

* Tue Jan 17 2023 Jan Palus <atler@pld-linux.org> da90930
- up to 1.2.0

* Mon Mar 14 2022 Jan Palus <atler@pld-linux.org> ff97082
- use %__go macro

* Mon Mar 14 2022 Jan Palus <atler@pld-linux.org> e7bffff
- explicitly run build script with bash

* Wed Mar 09 2022 Jan Palus <atler@pld-linux.org> d99747c
- use %go_arches macro for EA:

* Wed Mar 09 2022 Jan Palus <atler@pld-linux.org> 3b350ed
- up to 1.1.1

* Thu Feb 24 2022 Jan Palus <atler@pld-linux.org> 0b966a9
- up to 1.1.0

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> a116db2
- up to 1.0.1

* Mon Jun 07 2021 Jan Palus <atler@pld-linux.org> 97cb8c4
- disable debugsource packages

* Thu Mar 04 2021 Jan Palus <atler@pld-linux.org> 3caa14a
- up to 0.9.1

* Sun Dec 06 2020 Jan Palus <atler@pld-linux.org> 105d25c
- new (version 0.8.7)

